Replay a delivery
curl --request POST \
--url https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay \
--header 'Authorization: Bearer <token>' \
--header 'idempotency-key: <idempotency-key>'import requests
url = "https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay"
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'idempotency-key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deliveryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued"
}{
"error": {
"code": "invalid_cursor",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_credential",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "access_denied",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "agent_not_found",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "idempotency_conflict",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "response_expired",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_change_set",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "rate_limited",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "credential_service_unavailable",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Webhooks
Replay a delivery
POST
/
v1
/
webhook-deliveries
/
{deliveryId}
/
replay
Replay a delivery
curl --request POST \
--url https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay \
--header 'Authorization: Bearer <token>' \
--header 'idempotency-key: <idempotency-key>'import requests
url = "https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay"
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'idempotency-key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mantle.chat/v1/webhook-deliveries/{deliveryId}/replay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deliveryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued"
}{
"error": {
"code": "invalid_cursor",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_credential",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "access_denied",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "agent_not_found",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "idempotency_conflict",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "response_expired",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_change_set",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "rate_limited",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "credential_service_unavailable",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$